import { DynamicModule } from '@nestjs/common';
import { ModuleRef } from '@nestjs/core';
import { ITencentCloudModuleOptions, TencentCloudClient, ITencentCloudModuleAsyncOptions } from './types/client';
export declare class TencentCloudModule {
    private readonly moduleRef;
    constructor(moduleRef: ModuleRef);
    static register<Client extends typeof TencentCloudClient>(tencentCloudModuleOptions: ITencentCloudModuleOptions<Client>): DynamicModule;
    static registerAsync<Client extends typeof TencentCloudClient>(tencentCloudModuleAsyncOptions: ITencentCloudModuleAsyncOptions<Client>): Promise<DynamicModule>;
}
//# sourceMappingURL=tencent.module.d.ts.map